Bug 551004 - Blueman-applet disappears from notification area after 30 seconds
Blueman-applet disappears from notification area after 30 seconds
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-28 08:48 EST by Jonathan Pritchard
Modified: 2010-12-03 20:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 20:08:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Pritchard 2009-12-28 08:48:06 EST
Description of problem:
The Blueman applet in the notification area randomly disappears, it has to be restarted with the workaround of going to System -> Preferences -> Bluetooth and switching it on, this makes the Blueman applet pop up.

I experienced this to a lesser degree in Fedora 11 as well, and read that this was fixed in the latest version which it isn't.

I used to use a symlink to bluman-applet and run it when it disappeared, this workaround has stopped working for me.

Version:
blueman-1.21-2.fc12.i686
Latest updates as of 28/12/09
Comment 1 Jonathan Pritchard 2009-12-30 19:10:03 EST
It appears that blueman-applet is still running, so that is why running the shortcut to bluman-applet doesn't do anything. The applet in the notification area is however completely missing making it unusable.

If you try to launch Blueman from the menu it complains about:

"Connection to BlueZ failed

Bluez daemon is not running, blueman-manager cannot continue."
Comment 2 Jonathan Pritchard 2009-12-30 19:52:03 EST
This seem to have something to do with the changes made in Fedora 12 for power saving to, when inactive shutdown the bluetooth system. So when I turn bluetooth off in the blueman-applet, exactly 30 seconds later it disappears from the notification area -- there is no need for that, and this is the bug. Turning the bluetooth off when not in use is a good idea it just shouldn't remove the applet from the notification area (it appears to be running in the background still according to system monitor).
Comment 3 Bug Zapper 2010-11-03 22:22:04 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 20:08:51 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.